//	DesktopMenuItem.java : this is a Java source code file for the program Facade.
//	Copyright 1998, Andrew S. Downs
//	andrew.downs@tulane.edu
//
//	This source code is distributed as freeware.
//	Just keep this author information in the file.  Enjoy!

import java.awt.*;
import java.io.*;
import java.util.*;

public class DesktopMenuItem extends DesktopComponent implements Serializable {
	// Determines if item is selectable
	boolean enabled = false;
	
	// Grid coords for displaying label
	Point drawPoint = new Point();
	
	DesktopMenuItem() {
		super();
	}
	
	DesktopMenuItem( String s ) {
		super();
		this.setLabel( s );
	}
	
	public void setDrawPoint( int x, int y ) {
		this.drawPoint = new Point( x, y );
	}

	public void setDrawPoint( Point p ) {
		this.drawPoint = p;
	}

	public Point getDrawPoint() {
		return this.drawPoint;
	}

	public void setEnabled( boolean b ) {
		this.enabled = b;
	}

	public boolean getEnabled() {
		return this.enabled;
	}
}
