//	DesktopImageMenu.java : this is a Java source code file for the program Facade.
//	Copyright 1998, Andrew S. Downs
//	andrew.downs@tulane.edu
//
//	This source code is distributed as freeware.
//	Just keep this author information in the file.  Enjoy!

import java.awt.*;
import java.awt.image.*;
import java.io.*;
import java.util.*;

public class DesktopImageMenu extends DesktopMenu implements Serializable {
	// Only difference from superclass:
	// Display Image instead of label (String).
	Image theImage;
	
	DesktopImageMenu() {
		super();
	}

	public void setImage( Image i ) {
		this.theImage = i;
	}

	public Image getImage() {
		return this.theImage;
	}
}

