//	Finder.java : this is a Java source code file for the program Facade.
//	Copyright 1998, Andrew S. Downs
//	andrew.downs@tulane.edu
//
//	This source code is distributed as freeware.
//	Just keep this author information in the file.  Enjoy!

import java.io.*;
import com.sun.java.swing.*;

public class Finder implements Serializable {
	Finder() {
		// Mac envy
		try {
			UIManager.setLookAndFeel( "com.sun.java.swing.plaf.mac.MacLookAndFeel");
		}
		catch (Exception exc) {
			// Error - unsupported L&F
			System.err.println( "Unsupported LookAndFeel: MacLookAndFeel" );
		}

		// Create primary display
		Desktop d = new Desktop();
		d.repaint();
	}

	public static void main( String args[] ) {
		Finder f = new Finder();
	}
}

